<?xml version='1.0' encoding='UTF-8'?>
<rougail version="0.10">
  <services>
    <service name="piwigo" engine="cheetah" target="multi-user">
      <file source="tmpfile-piwigo.conf">/tmpfiles.d/0piwigo.conf</file>
      <file>/etc/piwigo/config.inc.php</file>
      <file>/etc/piwigo/database.inc.php</file>
      <file mode="755">/sbin/piwigo.sh</file>
      <file engine="none">/etc/php-fpm.d/piwigo.conf</file>
      <file source="piwigo.nginx.conf">/etc/nginx/default.d/piwigo.conf</file>
    </service>
  </services>
  <variables>
    <variable name="piwigo_admin_email" type="mail" description="Adresse courriel de l'administrateur Piwigo" mandatory="True"/>
    <variable name="piwigo_admin_password" type="password" auto_save="False" hidden="True"/>
    <variable name="piwigo_locations" type="filename" multi="True" mandatory="True" hidden="True"/>
    <variable name="piwigo_title" type="string" description="Titre de l'album" mandatory="True">
      <value>Album photographique</value>
    </variable>
    <family name="users" description="Piwigo users" leadership="True">
      <variable name="piwigo_users" type="unix_user" description="Utilisateur ayant un album" multi="True" mandatory="True"/>
      <variable name="piwigo_email" type="mail" description="Adresse courriel" mandatory="True"/>
    </family>
    <family name="oauth2_client">
      <variable name="oauth2_is_client_application" redefine='True'>
        <value>True</value>
      </variable>
      <variable name="oauth2_client_name" redefine='True'>
        <value>Album</value>
      </variable>
      <variable name="oauth2_client_description" redefine='True'>
        <value>Album photographique Piwigo</value>
      </variable>
      <variable name="oauth2_client_category" redefine='True'>
        <value>Diffusion</value>
      </variable>
      <variable name="oauth2_client_logo" redefine='True'>
        <value>silique_image.png</value>
      </variable>
    </family>
  </variables>
  <constraints>
    <fill name="get_password">
      <param name="server_name" type="variable">domain_name_eth0</param>
      <param name="username">admin_password</param>
      <param name="description">piwigo</param>
      <param name="type">cleartext</param>
      <param name="hide" type="variable">hide_secret</param>
      <target>piwigo_admin_password</target>
    </fill>
    <fill name="get_locations">
      <param name="usernames" type="variable">piwigo_users</param>
      <target>piwigo_locations</target>
    </fill>
  </constraints>
</rougail>
